Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::TLS::Server_Hello_Done Class Referencefinal

`#include <tls_messages.h>`

Inheritance diagram for Botan::TLS::Server_Hello_Done:

## Public Member Functions
| Server_Hello_Done (const std::vector< uint8_t > &buf)
| Server_Hello_Done (Handshake_IO &io, Handshake_Hash &hash)
Handshake_Type | type () const override
std::string | type_string () const

## Detailed Description

Server Hello Done Message

Definition at line 599 of file tls_messages.h.

## Constructor & Destructor Documentation

## ◆ Server_Hello_Done() [1/2]

Botan::TLS::Server_Hello_Done::Server_Hello_Done | ( | Handshake_IO & | io,
|  | Handshake_Hash & | hash
| ) |  |

Definition at line 226 of file msg_server_hello.cpp.

228 {
229 hash.update(io.send(*this));
230 }
hash
MechanismType hash
Definition: p11_mechanism.cpp:64

References hash, and Botan::TLS::Handshake_IO::send().

## ◆ Server_Hello_Done() [2/2]

Botan::TLS::Server_Hello_Done::Server_Hello_Done | ( | const std::vector< uint8_t > & | buf | ) |
| explicit

Definition at line 235 of file msg_server_hello.cpp.

236 {
237 if(buf.size())
238 throw Decoding_Error("Server_Hello_Done: Must be empty, and is not");
239 }

## Member Function Documentation

## ◆ type()

Handshake_Type Botan::TLS::Server_Hello_Done::type | ( |  | ) | const
| inline override virtual

Returns
  the message type

Implements Botan::TLS::Handshake_Message.

Definition at line 602 of file tls_messages.h.

602{ return SERVER_HELLO_DONE; }
Botan::TLS::SERVER_HELLO_DONE
@ SERVER_HELLO_DONE
Definition: tls_magic.h:54

References Botan::TLS::SERVER_HELLO_DONE.

## ◆ type_string()

std::string Botan::TLS::Handshake_Message::type_string | ( |  | ) | const
| inherited

Returns
  string representation of this message type

Definition at line 19 of file tls_handshake_state.cpp.

20 {
21 return handshake_type_to_string(type());
22 }
Botan::TLS::Handshake_Message::type
virtual Handshake_Type type() const =0
Botan::TLS::handshake_type_to_string
const char * handshake_type_to_string(Handshake_Type type)
Definition: tls_handshake_state.cpp:24

References Botan::TLS::handshake_type_to_string(), and Botan::TLS::Handshake_Message::type().

The documentation for this class was generated from the following files:

- src/lib/tls/tls_messages.h
- src/lib/tls/msg_server_hello.cpp